Skip to content

Get Facebook Messenger channel information
Closed Beta

Request

Returns the information for a Facebook Messenger channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Facebook Messenger information.

Bodyapplication/json
statusstring(ConversationChannelStatus)required

Channel integration status.

Enum:"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

idstring

The ID of the page.

namestring

The name of the page.

globalBrandPageNamestring

The name of the Page with country codes appended for Global Pages. Only visible to the Page admin.

Response
{ "status": "ACTIVE", "statusDescription": "string", "id": "string", "name": "string", "globalBrandPageName": "string" }
We'd love to hear from you!
Rate this content: